; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_BEGRUESSUNG:
	rcall LCD_CLEAR

	; ZEILE1	
	ldi ZH, high(TEXT_BEGRUESSUNG_1*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_1*2)
	rcall ANZEIGE_TEXT

	; ZEILE2	
	rcall LCD_ZEILE2

	ldi ZH, high(TEXT_BEGRUESSUNG_2*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_2*2)
	rcall ANZEIGE_TEXT
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TEMPERATUR:
	; ZEILE1 
	rcall LCD_CLEAR
	; SCRATCHPAD
	LDS temp1,(adr_DS_SCRATCHPAD_BEREICH+0)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_SCRATCHPAD_BEREICH+1)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_SCRATCHPAD_BEREICH+2)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_SCRATCHPAD_BEREICH+3)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_SCRATCHPAD_BEREICH+4)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_SCRATCHPAD_BEREICH+5)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_SCRATCHPAD_BEREICH+6)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_SCRATCHPAD_BEREICH+7)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ

	; ZEILE2 
	rcall LCD_ZEILE2
	
	; Temperaturwert (9Bit)	
	LDS temp1,(adr_TEMPERATUR9_0_L)
	LDS temp2,(adr_TEMPERATUR9_0_H)
	rcall ANZEIGE_TEMPERATUR_KURZ
	rcall LCD_SPACE
	rcall LCD_SPACE
	; Temperaturwert 		
	LDS temp1,(adr_TEMPERATUR_0_L)
	LDS temp2,(adr_TEMPERATUR_0_H)
	rcall ANZEIGE_TEMPERATUR_KURZ
	rcall LCD_SPACE






ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; inp: temp1+temp2																
ANZEIGE_TEMPERATUR_KURZ:
	; negativ ?
	tst temp2
	brmi ANZEIGE_TEMPERATUR_KURZ_NEGATIV
	rjmp ANZEIGE_TEMPERATUR_KURZ_POSITIV
ANZEIGE_TEMPERATUR_KURZ_POSITIV:
	; HILFSREGISTER CLEAR	
	clr temp3
	clr temp4
 	rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			
	; Vorzeichen		
	ldi temp,' '
	rcall LCD_DATA
	; Temperaturwert	
	mov temp,temp3
	rcall LCD_DATA
	mov temp,temp2
	rcall LCD_DATA
	; Punkt				
	rcall LCD_PUNKT
	; Temperaturwert	
	mov temp,temp1
	rcall LCD_DATA
	ret
;-------------------------------------------------------------------------------
ANZEIGE_TEMPERATUR_KURZ_NEGATIV:
	; invertieren +1
	com temp1
	com temp2
	add temp1,EINS
	adc temp2,NULL
	; HILFSREGISTER CLEAR	
	clr temp3
	clr temp4
 	rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			
	; Vorzeichen		
	ldi temp,'-'
	rcall LCD_DATA
	; Temperaturwert	
	mov temp,temp3
	rcall LCD_DATA
	mov temp,temp2
	rcall LCD_DATA
	; Punkt				
	rcall LCD_PUNKT
	; Temperaturwert	
	mov temp,temp1
	rcall LCD_DATA
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_ROM_SCRATCHPAD_DATEN_HEX:
	; ZEILE1 (ROM)	
	rcall LCD_CLEAR
	LDS temp1,(adr_DS_ROM_BEREICH+0)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_ROM_BEREICH+1)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_ROM_BEREICH+2)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_ROM_BEREICH+3)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_ROM_BEREICH+4)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_ROM_BEREICH+5)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_ROM_BEREICH+6)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_ROM_BEREICH+7)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ

	; ZEILE2 (SCRATCHPAD)
	rcall LCD_ZEILE2
	LDS temp1,(adr_DS_SCRATCHPAD_BEREICH+0)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_SCRATCHPAD_BEREICH+1)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_SCRATCHPAD_BEREICH+2)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_SCRATCHPAD_BEREICH+3)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_SCRATCHPAD_BEREICH+4)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_SCRATCHPAD_BEREICH+5)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_SCRATCHPAD_BEREICH+6)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
	LDS temp1,(adr_DS_SCRATCHPAD_BEREICH+7)
	rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ


ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1																	
ANZEIGE_2_STELLEN_HEX_ASC:
	clr temp2
	clr temp3
	clr temp4
 	rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			
	rcall LCD_AUSGABE_ZAHL_2_STELLEN_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1																	
ANZEIGE_3_STELLEN_HEX_ASC:
	clr temp2
	clr temp3
	clr temp4
 	rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			
	rcall LCD_AUSGABE_ZAHL_3_STELLEN_KURZ
ret
;######################################################################## 
;######################################################################## 
;######################################################################## 
; INPUT: TEMP1...TEMP8													  
LCD_AUSGABE_ZAHL_9_STELLEN_KURZ:
	mov temp, temp9			; 9.ZEICHEN 
	rcall LCD_DATA	
LCD_AUSGABE_ZAHL_8_STELLEN_KURZ:
	mov temp, temp8			; 8.ZEICHEN 
	rcall LCD_DATA	
LCD_AUSGABE_ZAHL_7_STELLEN_KURZ:
	mov temp, temp7			; 7.ZEICHEN 
	rcall LCD_DATA	
LCD_AUSGABE_ZAHL_6_STELLEN_KURZ:
	mov temp, temp6			; 6.ZEICHEN 
	rcall LCD_DATA	
LCD_AUSGABE_ZAHL_5_STELLEN_KURZ:
	mov temp, temp5			; 5.ZEICHEN 
	rcall LCD_DATA	
LCD_AUSGABE_ZAHL_4_STELLEN_KURZ:
	mov temp, temp4			; 4.ZEICHEN 
	rcall LCD_DATA	
LCD_AUSGABE_ZAHL_3_STELLEN_KURZ:
	mov temp, temp3			; 3.ZEICHEN 
	rcall LCD_DATA	
LCD_AUSGABE_ZAHL_2_STELLEN_KURZ:
	mov temp, temp2			; 2.ZEICHEN 
	rcall LCD_DATA	
LCD_AUSGABE_ZAHL_1_STELLEN_KURZ:
	mov temp, temp1			; 1.ZEICHEN (1-er Stelle)	
	rcall LCD_DATA
ret
;######################################################################## 	
;######################################################################## 	
;######################################################################## 	
; formatiert die LCD AUSGABE mit 1000-er Punkt								
; 	Bsp. "00012345 => "___12.345"											
;	INPUT/Output TEMP1														
;	INPUT/Output TEMP2														
;	INPUT/Output TEMP3														
;	INPUT/Output TEMP4														
;	INPUT/Output TEMP5														
;	INPUT/Output TEMP6														
; 	INPUT/Output TEMP8														
; 	      Output TEMP9														
LCD_FORMAT:
;   1000-er Trennzeichen einfgen	
	mov temp9,temp8
	ldi temp8,'.'
	mov temp7,temp6
	mov temp6,temp5
	mov temp5,temp4
	ldi temp4,'.'
; Nullstellen-Unterdrckung			
	cpi temp9, '0'
	brne LCD_FORMAT_fertig
	ldi temp9, '_'
	ldi temp8, '_'
	cpi temp7, '0'
	brne LCD_FORMAT_fertig
	ldi temp7, '_'
	cpi temp6, '0'
	brne LCD_FORMAT_fertig
	ldi temp6, '_'
	cpi temp5, '0'
	brne LCD_FORMAT_fertig
	ldi temp5, '_'
	ldi temp4, '_'
	cpi temp3, '0'
	brne LCD_FORMAT_fertig
	ldi temp3, '_'
	cpi temp2, '0'
	brne LCD_FORMAT_fertig
	ldi temp2, '_'
	cpi temp1, '0'
	brne LCD_FORMAT_fertig
	ldi temp1, '_'
LCD_FORMAT_fertig:
ret
;######################################################################## 	
;########################################################################	
;######################################################################## 	
;																			
;	Value: 0...	99.999.999													
;																			
;	INPUT: 	temp1	(BYTE1)													
;	 		temp2	(BYTE2)													
;			temp3	(BYTE3)													
;			temp4	(BYTE4)													
;																			
;	OUTPUT:	temp1	(		   1-er Stelle)									
;			temp2	(		  10-er Stelle)									
;			temp3	(        100-er Stelle)									
;			temp4	(      1.000-er Stelle)									
;			temp5	(     10.000-er Stelle)									
;			temp6	(    100.000-er Stelle)									
;			temp7	(  1.000.000-er Stelle)									
;			temp8	( 10.000.000-er Stelle)									
; 																			
; rcall FUNKTION_HEX_ASC_32	; INPUT: temp1...4 OUTPUT: Temp1...8			
; 																			
FUNKTION_HEX_ASC_32:
	clr temp
FUNKTION_HEX_ASC_10000000:; 10.000.000
	inc temp
	subi temp1, BYTE1    (10000000)
	sbci temp2, BYTE2    (10000000)
	sbci temp3, BYTE3    (10000000)
	sbci temp4, BYTE4    (10000000)
	brcc FUNKTION_HEX_ASC_10000000
	dec  temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp8) auf dem Stack sichern            
	subi temp1, BYTE1   (-10000000)
	sbci temp2, BYTE2   (-10000000)
	sbci temp3, BYTE3   (-10000000)
	sbci temp4, BYTE4   (-10000000)
	clr temp
FUNKTION_HEX_ASC_1000000:
	inc temp
	subi temp1, BYTE1    (1000000)
	sbci temp2, BYTE2    (1000000)
	sbci temp3, BYTE3    (1000000)
	brcc FUNKTION_HEX_ASC_1000000
	dec  temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp7) auf dem Stack sichern            
	subi temp1, BYTE1   (-1000000)
	sbci temp2, BYTE2   (-1000000)
	sbci temp3, BYTE3   (-1000000)
	clr temp
FUNKTION_HEX_ASC_100000:
	inc temp
	subi temp1, BYTE1    (100000)
	sbci temp2, BYTE2    (100000)
	sbci temp3, BYTE3    (100000)
	brcc FUNKTION_HEX_ASC_100000
	dec  temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp6) auf dem Stack sichern            
	subi temp1, BYTE1   (-100000)
	sbci temp2, BYTE2   (-100000)
	sbci temp3, BYTE3   (-100000)
	clr temp
FUNKTION_HEX_ASC_10000:
	inc temp
	subi temp1, BYTE1    (10000)
	sbci temp2, BYTE2    (10000)
	sbci temp3, BYTE3    (10000)
	brcc FUNKTION_HEX_ASC_10000
	dec  temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp5) auf dem Stack sichern            
	subi temp1, BYTE1  (-10000)
	sbci temp2, BYTE2  (-10000)
	sbci temp3, BYTE3  (-10000)
	clr temp
FUNKTION_HEX_ASC_1000:
	inc temp
	subi temp1, low  (1000)
	sbci temp2, HIGH (1000)
	brcc FUNKTION_HEX_ASC_1000
	dec temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp4) auf dem Stack sichern            
	subi temp1, low  (-1000)
	sbci temp2, HIGH (-1000)
	clr temp
FUNKTION_HEX_ASC_100:
	inc temp
	subi temp1, low  (100)
	sbci temp2, HIGH (100)
	brcc FUNKTION_HEX_ASC_100
	dec temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp3) auf dem Stack sichern            
	subi temp1, low  (-100)
	sbci temp2, HIGH (-100)
	clr temp
FUNKTION_HEX_ASC_10:
	inc temp
	subi temp1, low  (10)
	sbci temp2, HIGH (10)
	brcc FUNKTION_HEX_ASC_10
	dec temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp2) auf dem Stack sichern            
	subi temp1, low  (-10)
	sbci temp2, HIGH (-10)
FUNKTION_HEX_ASC_1:	
	subi temp1, -48		; HEX->ASC

	pop	TEMP2			; LESEN vom STACK (KOPIE)
	pop	TEMP3			; LESEN vom STACK (KOPIE)
	pop	TEMP4			; LESEN vom STACK (KOPIE)
	pop	TEMP5			; LESEN vom STACK (KOPIE)
	pop	TEMP6			; LESEN vom STACK (KOPIE)
	pop	TEMP7			; LESEN vom STACK (KOPIE)
	pop	TEMP8			; LESEN vom STACK (KOPIE)
ret
;######################################################################## 	
;########################################################################	
;######################################################################## 	
; INP: temp1																
; OUT: temp1+2 (z.B."FF") 													
; rcall FUNKTION_HEX ; inp: temp1 out: temp1+2								
;																			
FUNKTION_HEX:
	; SICHERUNGSKOPIE						
	push temp
	; 1-er STELLE		
	mov temp2,temp1
	mov temp,temp1	

	rcall FUNKTION_HEX_UMWANDLUNG
	mov temp1,temp
	; 10-er STELLE		
	mov temp,temp2	
	; NIBBLES tausch	
	swap temp
	rcall FUNKTION_HEX_UMWANDLUNG
	mov temp2,temp
	; SICHERUNGSKOPIE wieder herstellen		
	pop temp
	ret
;-------------------------------------------------------------------------------
FUNKTION_HEX_UMWANDLUNG:
	; BITMUSTER	
	andi temp,0b00001111
	; vergleich	
	cpi temp,0
	breq FUNKTION_HEX_0
	cpi temp,1
	breq FUNKTION_HEX_1
	cpi temp,2
	breq FUNKTION_HEX_2
	cpi temp,3
	breq FUNKTION_HEX_3
	cpi temp,4
	breq FUNKTION_HEX_4
	cpi temp,5
	breq FUNKTION_HEX_5
	cpi temp,6
	breq FUNKTION_HEX_6
	cpi temp,7
	breq FUNKTION_HEX_7
	cpi temp,8
	breq FUNKTION_HEX_8
	cpi temp,9
	breq FUNKTION_HEX_9
	cpi temp,10
	breq FUNKTION_HEX_A
	cpi temp,11
	breq FUNKTION_HEX_B
	cpi temp,12
	breq FUNKTION_HEX_C
	cpi temp,13
	breq FUNKTION_HEX_D
	cpi temp,14
	breq FUNKTION_HEX_E
	cpi temp,15
	breq FUNKTION_HEX_F

FUNKTION_HEX_0:
	ldi temp,'0'
	ret
FUNKTION_HEX_1:
	ldi temp,'1'
	ret
FUNKTION_HEX_2:
	ldi temp,'2'
	ret
FUNKTION_HEX_3:
	ldi temp,'3'
	ret
FUNKTION_HEX_4:
	ldi temp,'4'
	ret
FUNKTION_HEX_5:
	ldi temp,'5'
	ret
FUNKTION_HEX_6:
	ldi temp,'6'
	ret
FUNKTION_HEX_7:
	ldi temp,'7'
	ret
FUNKTION_HEX_8:
	ldi temp,'8'
	ret
FUNKTION_HEX_9:
	ldi temp,'9'
	ret
FUNKTION_HEX_A:
	ldi temp,'A'
	ret
FUNKTION_HEX_B:
	ldi temp,'B'
	ret
FUNKTION_HEX_C:
	ldi temp,'C'
	ret
FUNKTION_HEX_D:
	ldi temp,'D'
	ret
FUNKTION_HEX_E:
	ldi temp,'E'
	ret
FUNKTION_HEX_F:
	ldi temp,'F'
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; LCD-INITIALISIERUNG															
LCD_INITIALISIERUNG:
 
 	ldi temp, 0b00000011        ;muss 3mal hintereinander gesendet werden zur Initialisierung
	rcall LCD_COMMAND
	rcall wait_5ms
	rcall LCD_COMMAND
	rcall wait_5ms
	rcall LCD_COMMAND
	rcall wait_5ms

    ldi temp, 0b00000010        ;4bit-Modus einstellen
	rcall LCD_COMMAND
	rcall wait_5ms

    ldi temp, 0b00000001        ; DISPLAY lschen			
 	rcall LCD_COMMAND
	rcall wait_5ms
    ldi temp, 0b00001111        ; DISPLAY ein / CURSOR blinken
	rcall LCD_COMMAND
	rcall wait_5ms
    ldi temp, 0b00000110        ; Cursor Auto-Increment
 	rcall LCD_COMMAND
	rcall wait_5ms


ret
;######################################################################## 
;######################################################################## 
;																		  
;erzeugt den Enable-Puls												  
;																		  
LCD_ENABLE:
	sbi LCD_E_PORT, LCD_E       ; Enable high		
 	rcall wait_50us              ; kurze PAUSE		
	cbi LCD_E_PORT, LCD_E       ; Enable low		
	rcall wait_50us              ; kurze PAUSE		
ret                          
;######################################################################## 
;######################################################################## 
;######################################################################## 
; sendet ein Datenbyte an das LCD										  
;																		  
; INPUT: temp															  
;																		  
; rcall LCD_DATA			; DATENBYTE an LCD inp: temp 				  
;																		  
LCD_DATA:
	push temp             	; "Sicherungskopie" 			
	push temp             	; "Sicherungskopie" 			
    swap temp               ; Vertauschen					
   	andi temp, 0b00001111   ; oberes Nibble auf Null setzen	
	out LCD_PORT,temp		; ausgeben						
    
	sbi LCD_RS_PORT, LCD_RS ; RS ein (high)					
	rcall lcd_enable        ; Enable-Routine aufrufen		
                         
    pop temp				; Kopie wieder laden	 		
   	andi temp, 0b00001111   ; oberes Nibble auf Null setzen	
	out LCD_PORT,temp		; ausgeben						
   
    sbi LCD_RS_PORT, LCD_RS ; RS ein  (high)	     		
	rcall lcd_enable        ; Enable-Routine aufrufen		
    pop temp				; Kopie wieder laden	 		
ret				                       
;######################################################################## 
;######################################################################## 
;######################################################################## 
;sendet einen Befehl an das LCD;wie lcd_data, nur ohne RS zu setzen		  
;																		  
; INPUT: temp															  
;																		  
LCD_COMMAND:                            
    push temp				; "Sicherungskopie" 			
    push temp				; "Sicherungskopie" 			
    swap temp				; Vertauschen					
    andi temp, 0b00001111   ; oberes Nibble auf Null setzen	
	out LCD_PORT,temp		; ausgeben						

    cbi LCD_RS_PORT, LCD_RS ; RS aus (low)					
	rcall lcd_enable		; Enable-Routine aufrufen		
           
	pop temp				; Kopie wieder laden			
  	andi temp, 0b00001111   ; oberes Nibble auf Null setzen	
	out LCD_PORT,temp		; ausgeben						
           
	cbi LCD_RS_PORT, LCD_RS ; RS aus (low)       			
	rcall lcd_enable		; Enable-Routine aufrufen		
	rcall wait_5ms			; Pause (wichtig)				
    pop temp				; Kopie wieder laden	 
 
ret
;######################################################################## 
;########################################################################
;######################################################################## 
ANZEIGE_TEXT:
	LPM temp, Z+   			; aus Tabelle laden und Zeiger um 1 erhhen	
	tst temp  			
	breq ANZEIGE_TEXT_e 	; Sprung
	rcall LCD_DATA			; Anzeige
	rjmp ANZEIGE_TEXT
	ANZEIGE_TEXT_e:
ret
;######################################################################## 
;######################################################################## 
;######################################################################## 
; Display lschen														  
LCD_CLEAR:
   	ldi temp, 0b00000001
    rcall lcd_command
ret
;######################################################################## 
; KURSOR GO-HOME														  
LCD_GO_HOME:
 	ldi temp, 0b00000010
	rcall lcd_command 
ret
;######################################################################## 
;######################################################################## 
;######################################################################## 
; KURSOR Sprung in ZEILE2
LCD_ZEILE2:
 			ldi temp, 0b11000000 
			rcall lcd_command 
ret
;######################################################################## 
;########################################################################
;######################################################################## 
LCD_SPACE:
	ldi temp, ' '		; SPACE
	rcall LCD_DATA	
ret
;######################################################################## 
;########################################################################
;######################################################################## 
LCD_PUNKT:
	ldi temp, '.'		; PUNKT
	rcall LCD_DATA	
ret
;######################################################################## 
;########################################################################
;######################################################################## 
LCD_3_PUNKT:
	ldi temp, '.'		; PUNKT
	rcall LCD_DATA	
	rcall LCD_DATA	
	rcall LCD_DATA	
ret
;######################################################################## 
;########################################################################
;######################################################################## 
LCD_DOPPEL_PUNKT:
	ldi temp, ':'		; DOPPELPUNKT
	rcall LCD_DATA	
ret

